/*
 * Bitmask.h
 *
 * ACCU Overload 95, February 2010
 *
 * One approach to using hardware registers in C++.
 *
 * Martin Moene, http://www.eld.physics.LeidenUniv.nl/~moene/
 */

#ifndef G_BITMASK_H
#define G_BITMASK_H

/**
 * \file Bitmask.h
 * Bitmask macro's.
 */

/**
 * construct a bit mask from a single bit.
 */
#define SPM_BITMASK( bit ) ( 1 << (bit) )

/**
 * construct a bit mask from a single bit.
 */
#define SPM_BITMASK1( bit ) SPM_BITMASK(bit)

/**
 * construct a bit mask from two bits.
 */
#define SPM_BITMASK2( bit1, bit2 ) ( SPM_BITMASK(bit1) | SPM_BITMASK(bit2) )

/**
 * construct a bit mask from three bits.
 */
#define SPM_BITMASK3( bit1, bit2, bit3 ) ( SPM_BITMASK2(bit1, bit2)  | SPM_BITMASK(bit3) )

/**
 * construct a bit mask from three bits.
 */
#define SPM_BITMASK4( bit1, bit2, bit3, bit4 ) ( SPM_BITMASK3(bit1, bit2, bit3)  | SPM_BITMASK(bit4) )


#endif // G_BITMASK_H

/*
 * end of file
 */
