/*
 * Test-common.h
 *
 * ACCU Overload 95, February 2010
 *
 * One approach to using hardware registers in C++.
 *
 * Martin Moene, http://www.eld.physics.LeidenUniv.nl/~moene/
 */

/**
 * \file Test-common.h
 * Test case message macro's.
 */

#ifndef G_TEST_COMMON_H
#define G_TEST_COMMON_H

/**
 * the name of the current test case.
 */
#define SPM_TEST_CASE_NAME \
   ::boost::unit_test::framework::current_test_case().p_name

/**
 * Issue spm (boost) test message; streams its argument.
 */
#define SPM_TEST_MESSAGE( arg ) \
   BOOST_TEST_MESSAGE( "" << arg )

/**
 * Issue boost test message: "'prefix' testcase_name" << 'postfix'.
 */
#define SPM_TESTCASE_MESSAGE( prefix, postfix ) \
   SPM_TEST_MESSAGE( prefix << SPM_TEST_CASE_NAME << postfix )

#endif // G_TEST_COMMON_H

/*
 * end of file
 */
