@echo off
rem
rem Code/mk-gcc.bat
rem
rem ACCU Overload April 2010
rem
rem Unit testing flexible C++ software that efficiently interacts with
rem hardware registers: one approach.
rem
rem Martin Moene, http://www.eld.pysics.LeidenUniv.nl/~moene/
rem

set BOOST_ROOT=D:\People\Martin\00_IP\SpmDev\Vendor\bin\boost_install
set BOOST_INCL=%BOOST_ROOT%\include\boost-1_40
set BOOST_LIBS=%BOOST_ROOT%\lib

set NO_DEPRECATE=-D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE_GLOBALS

if ""=="%BOOST_ROOT%" (
   echo Code/%0: Please specify environment variable BOOST_ROOT in %0.
   exit /b 1
)
if not exist "%BOOST_ROOT%" (
   echo Code/%0: Boost library not found; review %0, BOOST_ROOT
   exit /b 1
)
if not exist "%BOOST_INCL%\boost\test\unit_test.hpp" (
   echo Code/%0: Boost.Test unit test header not found; review %0, BOOST_INCL
   exit /b 1
)
if not exist "%BOOST_LIBS%" (
   echo Code/%0: Boost library directory not found; review %0, BOOST_LIBS
   exit /b 1
)

rem
rem Compile unit test program using GNUC (as check):
rem

set tests=Test-main.cpp Test-minimal.cpp Test-inspect.cpp Test-fail.cpp

g++ -c  -O3 -Wall -I%BOOST_INCL% %tests%

rem
rem Generate assembly listing using GNUC:
rem

set asprograms=Test-assembly.cpp

for %%f in ( %asprograms% ) do (
   g++ -c -Wa,-adhln,-L -g -O3 -Wall -I%BOOST_INCL% %%f >%%f.gcc.asm
)

rem
rem end of file
rem
