@echo off
rem
rem Code2/mk.bat
rem
rem ACCU Overload 95, February 2010
rem
rem Supplement to: One approach to using hardware registers in C++.
rem
rem Martin Moene, http://www.eld.physics.LeidenUniv.nl/~moene/
rem

rem
rem Boost was installed as follows:
rem X:\...\SpmDev\Vendor\Boost>..\bjam install --build-type=complete \
rem    toolset=msvc --prefix="X:\...\SpmDev\Vendor\bin\boost_install"
rem

setlocal

rem
rem BOOST_ROOT already in environment, or specify here:
rem
rem set BOOST_ROOT=D:\People\Martin\00_IP\SpmDev\Vendor\bin\boost_install
set BOOST_INCL=%BOOST_ROOT%\include\boost-1_40
set BOOST_LIBS=%BOOST_ROOT%\lib

set NO_DEPRECATE=-D_CRT_NONSTDC_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE -D_CRT_SECURE_NO_DEPRECATE_GLOBALS
rem set     CXXFLAGS=-nologo -W3 -Ox -EHa -FAs -I%BOOST_INCL% %NO_DEPRECATE%
rem set     CXXFLAGS=-nologo -W3 -O2 -EHa -FAs -I%BOOST_INCL% %NO_DEPRECATE%
set     CXXFLAGS=-nologo -W3 -O2 -EHs -FAs -I%BOOST_INCL% %NO_DEPRECATE%

if ""=="%BOOST_ROOT%" (
   echo Code/%0: Please specify environment variable BOOST_ROOT in %0.
   exit /b 1
)
if not exist "%BOOST_ROOT%" (
   echo Code/%0: Boost library not found; review %0, BOOST_ROOT
   exit /b 1
)
if not exist "%BOOST_INCL%\boost\test\unit_test.hpp" (
   echo Code/%0: Boost.Test unit test header not found; review %0, BOOST_INCL
   exit /b 1
)
if not exist "%BOOST_LIBS%" (
   echo Code/%0: Boost library directory not found; review %0, BOOST_LIBS
   exit /b 1
)

rem
rem Build unit test program:
rem

set tests=Test-access.cpp

cl %CXXFLAGS% -FeTest.exe %tests% /link /libpath:%BOOST_LIBS%

rem
rem Generate assembly listing:
rem

set asprograms=

for %%f in ( %asprograms% ) do (
   cl -c -FAs %CXXFLAGS% %%f
)

endlocal

rem
rem end of file
rem
